//Copyright 2005 Aaron Cooper
/*
This file is part of JGrail.
JGrail is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

JGrail is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with JGrail; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA 
*/

/**
 * 
 * <p>
 * 
 * @author Aaron Cooper
 * @version 1.0 16-Jul-2005
 * 
 * Place error messages in this class as global variables (easier to manage)
 */
public class ErrorMessages {
	public static final String READING_FILE = "There was a problem when reading from the file: ";
	public static final String WRITE_TO_FILE = "There was a problem trying to write to the file: ";
	
	public static final String NO_BINARY_INPUT = "To execute the binary function, please enter input in both textareas or textfields"; 
	public static final String NO_INPUT = "Please enter some input into the Input text area or specify the name of a file in the text field";
	
	public static final String TBL_INVALID_FUNC = "Please enter both a name and a description for the highlighted function";
	public static final String TBL_INVALID_TOOL = "Please enter both a name and a command for the highlighted tool";	
	
	public static final String DIR_NOT_WRITABLE  = "Please provide a directory location that can be written to";
	public static final String HANGING_PROGRAM ="There has been a problem executing the commands listed.  The computation has been stopped";  
}
